#ifndef ALRESOURCE_H_INCLUDED
#define ALRESOURCE_H_INCLUDED


#ifdef __cplusplus
extern "C" {
#endif

#include "../types.h"
#include "alpath.h"

typedef struct {
    usx id;
    alyson_path_t path;
} alyson_resource_t, *ALResource;

ALResource al_resource_create(ALPath path);
ALResource al_resource_create_from_file(char* name, char* path);
void al_resource_destroy(ALResource resource);


#ifdef __cplusplus
}
#endif

#endif // ALRESOURCE_H_INCLUDED
